#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Name:		perl-Encode
Version:	3.17
Release:	1
Epoch:		2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{version}.tar.gz
# Source0-md5:	c55a11554641517ae7b04bf2ec53b271
URL:		https://metacpan.org/release/Encode
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Test-Simple >= 0.81_01
BuildRequires:	perl-parent >= 0.221
%endif
Requires:	perl-parent >= 0.221
Obsoletes:	perl-Encode-compat < 0.08
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

# rename to avoid conflict with perl-tools
mv $RPM_BUILD_ROOT%{_bindir}/encguess{,-tool}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/encguess-tool
%attr(755,root,root) %{_bindir}/piconv
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_vendorarch}/Encode
%dir %{perl_vendorarch}/auto/Encode
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Encode.so
%dir %{perl_vendorarch}/auto/Encode/Byte
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Byte/Byte.so
%dir %{perl_vendorarch}/auto/Encode/CN
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/CN/CN.so
%dir %{perl_vendorarch}/auto/Encode/EBCDIC
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/EBCDIC/EBCDIC.so
%dir %{perl_vendorarch}/auto/Encode/JP
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/JP/JP.so
%dir %{perl_vendorarch}/auto/Encode/KR
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/KR/KR.so
%dir %{perl_vendorarch}/auto/Encode/Symbol
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Symbol/Symbol.so
%dir %{perl_vendorarch}/auto/Encode/TW
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/TW/TW.so
%dir %{perl_vendorarch}/auto/Encode/Unicode
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/Unicode/Unicode.so
%dir %{perl_vendorlib}/Encode
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/encguess.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/Encode*.3pm*
%{_mandir}/man3/encoding.3pm*
%changelog
* Sun May 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Encode.git;a=log;h=master

* Sun May 22 2022 Jakub Bogusz <qboosh@pld-linux.org> dcebe82
- updated to 3.17 (fixes CVE-2021-36770)

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> edd2248
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> b82a47d
- updated to 3.09

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 64967f5
- rebuild with perl 5.32

* Thu Oct 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 89d6ccc
- updated to 3.07

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> 5a37062
- up to 3.04

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> aa0918a
- release 2 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 260ab11
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Sep 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 675beb8
- up to 2.92; rename encguess to encguess-tool to avoid conflict with perl-tools

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> a34edbd
- updated to 2.91

* Tue Dec 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 65278bf
- updated to 2.78

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 30827c7
- release 2 (by relup.sh)

* Fri May 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ec7090
- Epoch 2, so it can be installed over perl.spec Encode module

* Fri May 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e2c52a8
- up to 2.73

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 2bd60be
- versioned perl-parent dependency

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e247279
- up to 2.70

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 31c5cb8
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 49f5951
- updated to 2.63

* Mon Sep 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3027865
- updated to 2.62

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 38a5aeb
- removed zero-sized .bs file

